## LibinsaneDeviceDescriptor

LibinsaneDeviceDescriptor

## Functions

const char * | libinsane_device_descriptor_get_dev_id ()
const char * | libinsane_device_descriptor_get_dev_vendor ()
const char * | libinsane_device_descriptor_get_dev_model ()
const char * | libinsane_device_descriptor_get_dev_type ()
const char * | libinsane_device_descriptor_to_string ()

## Types and Values

#define | LIBINSANE_DEVICE_DESCRIPTOR_TYPE

## Description

## Functions

### libinsane_device_descriptor_get_dev_id ()

    const char *
    libinsane_device_descriptor_get_dev_id
                                   (LibinsaneDeviceDescriptor *self);

### libinsane_device_descriptor_get_dev_vendor ()

    const char *
    libinsane_device_descriptor_get_dev_vendor
                                   (LibinsaneDeviceDescriptor *self);

### libinsane_device_descriptor_get_dev_model ()

    const char *
    libinsane_device_descriptor_get_dev_model
                                   (LibinsaneDeviceDescriptor *self);

### libinsane_device_descriptor_get_dev_type ()

    const char *
    libinsane_device_descriptor_get_dev_type
                                   (LibinsaneDeviceDescriptor *self);

### libinsane_device_descriptor_to_string ()

    const char *
    libinsane_device_descriptor_to_string (LibinsaneDeviceDescriptor *self);

## Types and Values

### LIBINSANE_DEVICE_DESCRIPTOR_TYPE

    #define             LIBINSANE_DEVICE_DESCRIPTOR_TYPE